### Method

# EDataServer SourceWebdav dup_resource_path

since: 3.6

#### Declaration [src]

    gchar*
    e_source_webdav_dup_resource_path (
      ESourceWebdav* extension
    )

#### Description [src]

Thread-safe variation of e_source_webdav_get_resource_path(). Use this function when accessing `extension` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.6

#### Return value

Type: `gchar*`

The newly-allocated copy of `ESourceWebdav:resource-path`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.